> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoyextensions/ui-components/visualization/progress-bar.md).

# Progress Bar

(part of package '[Bootstrap Extra Components](/reference/servoyextensions/packages/ui-component-packages/bootstrap-extra-components.md)')\
Extends designtime/SolutionModel: [JSWebComponent](/reference/servoycore/dev-api/solutionmodel/jswebcomponent.md)\
Extends runtime: [RuntimeWebComponent](/reference/servoycore/dev-api/forms/runtimeform/elements/runtimewebcomponent.md)

Displays a progress bar with dynamic progress value and text.

This is a reference page; many components have detailed usage guides [here](https://docs.servoy.com/guides/develop/application-design/ui-components).

## Properties

### animate

Flag indicating whether progress transitions are animated. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: true

***

### dataProviderID

Bound data provider identifier for the progress bar's value. Type: [Dataprovider](/reference/servoy-developer/component_and_service_property_types.md#dataprovider)

***

### max

The maximum value of the progress bar. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md) Default Value: 100

***

### showValue

Flag indicating whether the progress value is displayed on the progress bar. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: true

***

### showValueAsPercentage

Flag indicating whether the progress value is shown as a percentage. Type: [Boolean](/reference/servoycore/dev-api/js-lib/boolean.md) Default Value: true

***

### styleClass

CSS style classes applied to the progress bar component. Type: [Styleclass](/reference/servoy-developer/component_and_service_property_types.md#styleclass)

***

### tabSeq

Tab sequence order for keyboard navigation. Type: [Tabseq](/reference/servoy-developer/component_and_service_property_types.md#tabseq)

***

### type

The visual type of the progress bar (e.g. info, success, warning, danger). Type: [String](/reference/servoycore/dev-api/js-lib/string.md) Default Value: "info"

***

### value

The current progress value. Type: [Number](/reference/servoycore/dev-api/js-lib/number.md)

***

### valueText

Optional text to display on the progress bar instead of the numeric value. Type: [String](/reference/servoycore/dev-api/js-lib/string.md)

***

### visible

Flag indicating whether the progress bar is visible. Type: [Visible](/reference/servoy-developer/component_and_service_property_types.md#visible)

***

## API

### setProgress(value,valueText)

Sets the progress, optionally setting the text of the bar

**Parameters:**

> * {[Number](/reference/servoycore/dev-api/js-lib/number.md)} value The progress value to set.
> * {[String](/reference/servoycore/dev-api/js-lib/string.md)} \[valueText] The text to display on the progress bar.

***

### updateProgressBar(value,valueText)

Do not call this method; this will be removed with Servoy 8.2

**Parameters:**

> * {[Number](/reference/servoycore/dev-api/js-lib/number.md)} value The progress value to set.
> * {[String](/reference/servoycore/dev-api/js-lib/string.md)} \[valueText] The text to display on the progress bar.

***

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.servoy.com/reference/servoyextensions/ui-components/visualization/progress-bar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
